Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libnma0-1.8.32-1.2 RPM for armv7hl

From OpenSuSE Ports Leap 15.4 for armv7hl

Name: libnma0 Distribution: openSUSE Step 15
Version: 1.8.32 Vendor: openSUSE
Release: 1.2 Build date: Thu Nov 11 08:44:33 2021
Group: Unspecified Build host: obs-arm-6
Size: 341665 Source RPM: libnma-1.8.32-1.2.src.rpm
Packager: https://bugs.opensuse.org
Url: https://gitlab.gnome.org/GNOME/libnma
Summary: Shared library for NetworkManager-applet
Shared library for NetworkManager-applet.

Provides

Requires

License

GPL-2.0-or-later

Changelog

* Fri Aug 20 2021 bjorn.lie@gmail.com
  - Update to version 1.8.32:
    + Fix crash in PKCS11 login dialog.
    + Fix clearing password when restoring a valid configuration to
      be displayed to a user.
* Tue Jun 23 2020 bjorn.lie@gmail.com
  - Update to version 1.8.30:
    + Properly dispose wireless security objects.
    + Don't clear the key when users set a non-pkcs12 certificate in
      the certificate chooser UI.
    + Added missing VAPI macro file.
  - Drop libnma-fix-segment-fault.patch: Fixed upstream.
* Thu Jun 04 2020 songchuan.kang@suse.com
  - Make libnma require mobile-broadband-provider-info(bsc#1172499).
* Fri Apr 17 2020 songchuan.kang@suse.com
  - Add libnma-fix-segment-fault.patch: nma-ws: properly dispose
    wireless security objects(bsc#1168347 glgo#GNOME/libnma#7).
* Fri Mar 06 2020 bjorn.lie@gmail.com
  - Update to version 1.8.28:
    + Turned the wireless-security library to a public API.
    + "org.gnome.nm-applet.gschema.xml" is now part of libnma.
      Previously, on distributions like Fedora it was packaged as
      part of nm-connection-editor package. But the schema is used by
      wireless-security library, gnome-control-center and
      nm-a/nm-c-e.
    + Clear key/password input fields when selecting a different
      certificate in NMACertChooser.
    + Generate vapi files.
  - Add pkgconfig(vapigen) BuildRequires: New dependency.
  - Drop nma-data Requires: No longer needed. Add nma-data and
    libnma-data Provides and Obsoletes, make upgrades problemfree
    for our end-users.
* Mon Dec 09 2019 dimstar@opensuse.org
  - Require nma-data by libnma0: the library references the
    org.gnome.nm-applet schema, which is packaged in nma-data
    (boo#1157889).
* Mon Oct 28 2019 bjorn.lie@gmail.com
  - Add virtual libnma Provides in the main lib package, make the
    lang package installable.
* Fri Oct 18 2019 bjorn.lie@gmail.com
  - Inital packaging for openSUSE, version 1.8.26.

Files

/usr/lib/libnma.so.0
/usr/lib/libnma.so.0.0.0
/usr/share/doc/packages/libnma0
/usr/share/doc/packages/libnma0/NEWS
/usr/share/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
/usr/share/licenses/libnma0
/usr/share/licenses/libnma0/COPYING


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Nov 24 23:43:49 2022